aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-browser
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/zope-browser')
-rw-r--r--dev-python/zope-browser/zope-browser-2.4.ebuild21
1 files changed, 12 insertions, 9 deletions
diff --git a/dev-python/zope-browser/zope-browser-2.4.ebuild b/dev-python/zope-browser/zope-browser-2.4.ebuild
index 9a6a5ef..4ac2424 100644
--- a/dev-python/zope-browser/zope-browser-2.4.ebuild
+++ b/dev-python/zope-browser/zope-browser-2.4.ebuild
@@ -4,7 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} pypy3 )
+PYTHON_COMPAT=( python3_{9..11} )
inherit distutils-r1
@@ -19,12 +19,15 @@ KEYWORDS="~amd64"
RDEPEND="
dev-python/zope-interface[${PYTHON_USEDEP}]
+
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
doc? (
- $(python_gen_cond_dep 'dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}]' python3_{9..11})
+ dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}]
dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
)
"
-DEPEND="${RDEPEND}"
distutils_enable_sphinx docs
@@ -34,12 +37,12 @@ src_prepare() {
distutils-r1_src_prepare
}
-python_compile_all() {
- echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
- "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
- build_sphinx docs
- rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
-}
+# python_compile_all() {
+# echo "__path__ = __import__('pkgutil').extend_path(__path__, __name__)" > \
+# "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py" || die
+# build_sphinx docs
+# rm "${BUILD_DIR}/install$(python_get_sitedir)/zope/__init__.py"
+# }
python_compile() {
distutils-r1_python_compile